overrides = {lockedblades -> False, kw1usual -> (A1*Y1)/l1, 
     kw2usual -> (A2*Y2)/l2, kw3usual -> (A3*Y3)/l3, 
     kbuzusual -> 19.739208802178716*m1*ufc1^2, 
     kblzusual -> 9.869604401089358*m2*ufc2^2, 
     kw1 -> If[lockedblades, recipadd[kw1usual, kbuzusual], kw1usual], 
     kw2 -> If[lockedblades, recipadd[kw2usual, kblzusual], kw2usual], 
     kw3 -> kw3usual, kbuz -> If[lockedblades, 10^4*kbuzusual, kbuzusual], 
     kblz -> If[lockedblades, 10^4*kblzusual, kblzusual], 
     kbuy -> If[lockedblades, 10^4*kbuzusual, 10^4*kbuzusual], 
     kbly -> If[lockedblades, 10^4*kblzusual, 10^4*kblzusual], 
     kbux -> If[lockedblades, 10^4*kbuzusual, 10^2*kbuzusual], 
     kblx -> If[lockedblades, 10^4*kblzusual, 10^2*kblzusual], mbeu -> 0, 
     mbel -> 0, den1 -> 4000, ux -> 0.06, uy -> 0.44, uz -> 0.142, 
     I1x -> 0.1659, I1y -> 0.02473, I1z -> 0.1643, m1 -> 12.621, 
     den2 -> 2202, ix -> 0.05709, ir -> 0.185, m2 -> 13.575, I2x -> 0.2592, 
     I2y -> 0.12976, I2z -> 0.13587, wedge -> 0.0008726646259971648, 
     tx -> 0.06 - tr*wedge, tr -> 0.185, den3 -> 2202, wabh3 -> 0, 
     wabv3 -> 0, wafh3 -> 0, wafv3 -> 0, m3 -> 3.141592653589793*den3*tr^2*
       tx, I3x -> (den3*Pi*tr^4*tx)/2, 
     I3y -> (den3*Pi*tr^2*tx*(2*tx^2 + 3*tr^2*(2 + wabh3^2 + wabv3^2 + 
           wafh3^2 + wafv3^2)))/24, 
     I3z -> (den3*Pi*tr^2*tx*(2*tx^2 + 3*tr^2*(2 + wabh3^2 + wabv3^2 + 
           wafh3^2 + wafv3^2)))/24, I3zx -> (den3*Pi*tr^4*tx*(wabv3 + wafv3))/
       8, I3xy -> (den3*Pi*tr^4*tx*(wabh3 + wafh3))/8, I3yz -> 0, 
     COM3x -> -(tr^2*(wabh3^2 + wabv3^2 - wafh3^2 + wafv3^2))/(8*tx), 
     COM3y -> (tr^2*(-wabh3 + wafh3))/(4*tx), 
     COM3z -> (tr^2*(-wabv3 + wafv3))/(4*tx), FRP3x -> COM3x, l1 -> 0.612, 
     l2 -> 0.6015, l3 -> 0.5, r1 -> 0.0003125, r2 -> 0.0002, r3 -> 0.000125, 
     bssteel -> 2000000000, wssilica -> 7.7*^8, Y1 -> Ysteel, Y2 -> Ysteel, 
     Y3 -> Ysteel, ufc1 -> 2.42, ufc2 -> 2.84, d0 -> 0.001 - flex1, 
     d1 -> 0.001 - flex2, d2 -> 0.01 - flex2, d3 -> 0.001 - flex3, 
     d4 -> 0.001 - flex3, su -> 0, si -> 0.015, sl -> 0.005, n0 -> 0.077, 
     n1 -> 0.13, n2 -> 0.06, n3 -> 0.1915, n4 -> 0.1865, n5 -> 0.1865, 
     flex1 -> c1^(3/2)*Sqrt[(M11*nw1*Y1)/(g*(m1 + m2 + m3))], 
     flex2 -> c2^(3/2)*Sqrt[(M21*nw2*Y2)/(g*(m2 + m3))], 
     flex3 -> c3^(3/2)*Sqrt[(M31*nw3*Y3)/(g*m3)], rhosilica -> 2200., 
     Csilica -> 772., Ksilica -> 1.38, alphasilica -> 3.8999999999999997*^-7, 
     betasilica -> 0.000152, Ysilica -> 7.2*^10, phisilica -> 4.1*^-10, 
     phissilica -> 3.*^-11, dssilica -> 0.015, rhosteel -> 7800., 
     Csteel -> 486., Ksteel -> 49., alphasteel -> 0.000012, 
     betasteel -> -0.00025, phisteel -> 0.0002, 
     Ysteel -> 2.1190000000000003*^11, rhomarag -> 7800., Cmarag -> 460., 
     Kmarag -> 20., alphamarag -> 0.000011, betamarag -> -0.00025, 
     phimarag -> 0.0001, Ymarag -> 1.87*^11, magicnumber -> 
      0.07374723253051044, tmU -> 0.0025, tmL -> 0.0017, 
     deltabladeU -> (alphamarag^2*temperature*Ymarag)/(Cmarag*rhomarag), 
     deltabladeL -> (alphamarag^2*temperature*Ymarag)/(Cmarag*rhomarag), 
     deltawireU -> (temperature*(alphasteel - (0.3183098861837907*betasteel*g*
            (m1 + m2 + m3))/(nw1*r1^2*Ysteel))^2*Ysteel)/(Csteel*rhosteel), 
     deltawireL -> (temperature*(alphasteel - (0.3183098861837907*betasteel*g*
            (m2 + m3))/(nw2*r2^2*Ysteel))^2*Ysteel)/(Csteel*rhosteel), 
     deltafibre -> (temperature*(alphasteel - (0.3183098861837907*betasteel*g*
            m3)/(nw3*r3^2*Ysteel))^2*Ysteel)/(Csteel*rhosteel), 
     taubladeU -> (0.10132118364233778*Cmarag*rhomarag*tmU^2)/Kmarag, 
     taubladeL -> (0.10132118364233778*Cmarag*rhomarag*tmL^2)/Kmarag, 
     tauwireU -> (4*Csteel*magicnumber*r1^2*rhosteel)/Ksteel, 
     tauwireL -> (4*Csteel*magicnumber*r2^2*rhosteel)/Ksteel, 
     taufibre -> (4*Csteel*magicnumber*r3^2*rhosteel)/Ksteel, 
     damping[imag, bladeUtype] -> 
      (phimarag + (deltabladeU*(2*N[Pi]*#1*taubladeU))/
         (1 + (2*N[Pi]*#1*taubladeU)^2) & ), damping[imag, bladeLtype] -> 
      (phimarag + (deltabladeL*(2*N[Pi]*#1*taubladeL))/
         (1 + (2*N[Pi]*#1*taubladeL)^2) & ), damping[imag, wireUtype] -> 
      (phisteel & ), damping[imag, wireLtype] -> (phisteel & ), 
     damping[imag, wireUatype] -> 
      (phisteel + (deltawireU*(2*N[Pi]*#1*tauwireU))/
         (1 + (2*N[Pi]*#1*tauwireU)^2) & ), damping[imag, wireLatype] -> 
      (phisteel + (deltawireL*(2*N[Pi]*#1*tauwireL))/
         (1 + (2*N[Pi]*#1*tauwireL)^2) & ), damping[imag, fibretype] -> 
      (phisteel & ), damping[imag, fibreatype] -> 
      (phisteel + (deltafibre*(2*N[Pi]*#1*taufibre))/
         (1 + (2*N[Pi]*#1*taufibre)^2) & )}
 
overrides /: overrides::usage = "overrides is a list of substitutions that \
modify or replace those in defaultvalues."
 
A1 /: A1::usage = "A1 is effective average cross-sectional area of wires from \
blade springs on structure to top mass for the purposes of calculating the \
longitudinal elasticity."
 
l1 /: l1::usage = "l1 is part of the specification of the model and \
represents the wire length from the blades on the structure to the top mass. \
It is interpreted as either a stretched length or an unstretched length \
depending on the value of the switch constant unstretched."
 
Y1 /: Y1::usage = 
     "Y1 is Young's modulus of wires from blades on structure to top mass."
 
A2 /: A2::usage = "A2 is effective average cross-sectional area of wires from \
blades on top mass to intermediate mass for the purposes of calculating the \
longitudinal elasticity."
 
l2 /: l2::usage = "l2 is part of the specification of the model and \
represents the wire length from the blades on the top mass to intermediate \
mass. It is interpreted as either a stretched length or an unstretched length \
depending on the value of the switch constant unstretched."
 
Y2 /: Y2::usage = "Y2 is Young's modulus of wires from blades on top mass to \
intermediate mass."
 
A3 /: A3::usage = "A3 is effective average cross-sectional area of wires \
(fibres) from intermediate mass to optic for the purposes of calculating the \
longitudinal elasticity."
 
l3 /: l3::usage = "l3 is part of the specification of the model and \
represents the wire (fibre) length from intermediate mass to optic. It is \
interpreted as either a stretched length or an unstretched length depending \
on the value of the switch constant unstretched."
 
Y3 /: Y3::usage = 
     "Y3 is Young's modulus of wires (fibres) from intermediate mass to \
optic."
 
m1 /: m1::usage = "m1 is mass of second top mass (mass U)."
 
ufc1 /: ufc1::usage = "ufc1 is the \"uncoupled frequency\" (what they would \
vibrate at with only their \"uncoupled mass\", m1b) for the upper blades (on \
structure)."
 
m2 /: m2::usage = "m2 is mass of intermediate mass (mass I)."
 
ufc2 /: ufc2::usage = "ufc2 is the \"uncoupled frequency\" (what they would \
vibrate at with only their \"uncoupled mass\", m2b) for the lower blades (on \
top mass)."
 
kw1 /: kw1::usage = "kw1 is net longitudinal elasticity of wires from blades \
on structure to top mass."
 
recipadd[a_, b_] := (a*b)/(a + b)
 
kw2 /: kw2::usage = "kw2 is net longitudinal elasticity of wires from blades \
on top mass to intermediate mass."
 
kw3 /: kw3::usage = "kw3 is net longitudinal elasticity of wires (fibres) \
from intermediate mass to optic."
 
kbuz /: kbuz::usage = 
     "kbuz is the net vertical elasticity of the upper blades (on \
structure)."
 
kblz /: kblz::usage = 
     "kblz is the net vertical elasticity of the lower blades (on top mass)."
 
kbuy /: kbuy::usage = 
     "kbuy is the net longitudinal elasticity of the upper blades (on \
structure)."
 
kbly /: kbly::usage = "kbly is the net longitudinal elasticity of the lower \
blades (on second top mass)."
 
kbux /: kbux::usage = 
     "kbux is the net transverse elasticity of the upper blades (on \
structure)."
 
kblx /: kblx::usage = 
     "kblx is the net transverse elasticity of the lower blades (on top \
mass)."
 
mbeu /: mbeu::usage = "mbeu is the mass of the objects representing the tips \
of the upper blades (on structure)."
 
mbel /: mbel::usage = "mbel is the mass of the objects representing the tips \
of the lower blades (on top mass)."
 
den1 /: den1::usage = "den1 is density of second top mass (mass U)."
 
ux /: ux::usage = "ux is x size of second top mass (mass U)."
 
uy /: uy::usage = "uy is y size of second top mass (mass U)."
 
uz /: uz::usage = "uz is z size of second top mass (mass U)."
 
I1x /: I1x::usage = "I1x is x-axis MOI of second top mass (mass U)."
 
I1y /: I1y::usage = "I1y is y-axis MOI of second top mass (mass U)."
 
I1z /: I1z::usage = "I1z is z-axis MOI of second top mass (mass U)."
 
den2 /: den2::usage = "den2 is density of intermediate mass (mass I)."
 
ix /: ix::usage = "ix is thickness of intermediate mass (mass I)."
 
ir /: ir::usage = "iy is radius of intermediate mass (mass I)."
 
I2x /: I2x::usage = "I2x is x-axis MOI of intermediate mass (mass I)."
 
I2y /: I2y::usage = "I2y is y-axis MOI of intermediate mass (mass I)."
 
I2z /: I2z::usage = "I2z is z-axis MOI of intermediate mass (mass I)."
 
tx /: tx::usage = "ux is thickness of optic."
 
tr /: tr::usage = "uy is radius of optic."
 
den3 /: den3::usage = "den3 is density of optic."
 
m3 /: m3::usage = "m3 is mass of optic."
 
I3x /: I3x::usage = "I3x is x-axis MOI of optic."
 
I3y /: I3y::usage = "I3y is y-axis MOI of optic."
 
I3z /: I3z::usage = "I3z is z-axis MOI of optic."
 
r1 /: r1::usage = 
     "r1 is radius of wires from blades on structure to top mass."
 
r2 /: r2::usage = 
     "r2 is radius of wires from blades on top mass to intermediate mass."
 
r3 /: r3::usage = 
     "r3 is radius of wires (fibres) from intermediate mass to optic."
 
Ysteel /: Ysteel::usage = "Ysteel is the Young's modulus for C70 steel."
 
d0 /: d0::usage = "d0 is the the height of the wire attachment points above \
the COM of mass U for the wires leading down from the blades on the \
structure."
 
d1 /: d1::usage = "d1 is the the height of the wire attachment points below \
the COM of mass U for the wires leading down to mass I."
 
d2 /: d2::usage = "d2 is the height of the wire attachment points above the \
COM of mass I for the wires leading down from the mass U."
 
d3 /: d3::usage = "d3 is the height of the wire attachment points below the \
COM of mass I for the wires leading down to the optic."
 
d4 /: d4::usage = "d4 is the the height of the wire attachment points above \
the COM of the optic for the wires leading down from mass I."
 
su /: su::usage = 
     "su is x-direction separation of wires from structure to top mass."
 
si /: si::usage = "si is x-direction separation of wires from second top mass \
to intermediate mass."
 
sl /: sl::usage = "sl is x-direction separation of wires (fibres) from \
intermediate mass to optic."
 
n0 /: n0::usage = "n0 is the y-direction separation of the wire attachment \
points on the upper blade springs for the wires leading down to the top \
mass."
 
n1 /: n1::usage = "n1 is the y-direction separation of the wire attachment \
points on the top mass for the wires leading down from the upper blade \
springs (on the structure)."
 
n2 /: n2::usage = "n2 is the y-direction separation of the wire attachment \
points on the lower blade springs for the wires leading down to mass I."
 
n3 /: n3::usage = "n3 is the y-direction separation of the wire attachment \
points on mass I for the wires leading down from the lower blade springs."
 
n4 /: n4::usage = "n4 is the y-direction separation of the wire attachment \
points on mass I for the wires leading down to the optic."
 
n5 /: n5::usage = "n5 is the y-direction separation of the wire attachment \
points on the optic for the wires leading down from mass I."
 
g /: g::usage = "g is local gravity."
 
M11 /: M11::usage = "M11 is the moment of area of wires from blades on \
structure to top mass in direction \"1\"."
 
nw1 /: nw1::usage = 
     "nw1 is number of wires from blades on structure to top mass (total)."
 
M21 /: M21::usage = "M21 is the moment of area of wires from blades on top \
mass to intermediate mass in direction \"1\""
 
nw2 /: nw2::usage = "nw2 is number of wires from blades on top mass to \
intermediate mass (total)."
 
M31 /: M31::usage = "M31 is the moment of area of wires (fibres) from \
intermediate mass to optic in direction \"1\""
 
nw3 /: nw3::usage = 
     "nw3 is number of wires (fibres) from intermediate mass to optic \
(total)."
 
rhosilica /: rhosilica::usage = "rhosilica is the density for silica."
 
Csilica /: Csilica::usage = "Csilica is the heat capacity for silica."
 
Ksilica /: Ksilica::usage = "Ksilica is the bulk modulus for silica."
 
alphasilica /: alphasilica::usage = 
     "alphasilica is the coefficient of thermal expansion for silica."
 
betasilica /: betasilica::usage = 
     "betasilica is the temperature dependence of Young's modulus for \
silica."
 
Ysilica /: Ysilica::usage = "Ysilica is the Young's modulus for silica."
 
phisilica /: phisilica::usage = "phisilica is the bulk loss angle for silica."
 
phissilica /: phissilica::usage = 
     "phissilica is the surface loss angle (units of m) for silica."
 
rhosteel /: rhosteel::usage = "rhosteel is the density for C70 steel."
 
Csteel /: Csteel::usage = "Csteel is the heat capacity for C70 steel."
 
Ksteel /: Ksteel::usage = "Ksteel is the bulk modulus for C70 steel."
 
alphasteel /: alphasteel::usage = 
     "alphasteel is the coefficient of thermal expansion for C70 steel."
 
betasteel /: betasteel::usage = 
     "betasteel is the temperature dependence of Young's modulus for C70 \
steel."
 
phisteel /: phisteel::usage = "phisteel is the bulk loss angle for C70 steel."
 
rhomarag /: rhomarag::usage = "rhomarag is the density for maraging steel."
 
Cmarag /: Cmarag::usage = "Cmarag is the heat capacity for maraging steel."
 
Kmarag /: Kmarag::usage = "Kmarag is the bulk modulus for maraging steel."
 
alphamarag /: alphamarag::usage = 
     "alphamarag is the coefficient of thermal expansion for maraging steel."
 
betamarag /: betamarag::usage = "betamarag is the temperature dependence of \
Young's modulus for maraging steel."
 
phimarag /: phimarag::usage = 
     "phimarag is the bulk loss angle for maraging steel."
 
Ymarag /: Ymarag::usage = "Ymarag is the Young's modulus for maraging steel."
 
magicnumber /: magicnumber::usage = 
     "magicnumber is a geometrical factor for thermoelastic damping."
 
deltabladeU /: deltabladeU::usage = "deltabladeU is the thermoelastic damping \
parameter delta for the upper blades."
 
temperature /: temperature::usage = "temperature is, well, guess."
 
deltabladeL /: deltabladeL::usage = "deltabladeL is the thermoelastic damping \
parameter delta for the lower blades."
 
deltawireU /: deltawireU::usage = "deltawireU is the thermoelastic damping \
parameter delta for the wires from the structure to mass N."
 
deltawireL /: deltawireL::usage = "deltawireL is the thermoelastic damping \
parameter delta for the wires from mass U to mass I."
 
deltafibre /: deltafibre::usage = "deltafibre is the thermoelastic damping \
parameter delta for the wires from mass I to the optic."
 
taubladeU /: taubladeU::usage = 
     "taubladeU is the thermoelastic damping parameter tau for the upper \
blades."
 
taubladeL /: taubladeL::usage = 
     "taubladeL is the thermoelastic damping parameter tau for the lower \
blades."
 
tauwireU /: tauwireU::usage = "tauwireU is the thermoelastic damping \
parameter tau for the wires from the structure to mass N."
 
tauwireL /: tauwireL::usage = "tauwireL is the thermoelastic damping \
parameter tau for the wires from mass U to mass I."
 
damping /: damping::usage = "damping[imag,dampingtype] is a multiplier giving \
the frequency dependence of the imaginary (i.e., lossy) part of any potential \
terms tagged with symbol dampingtype. It should be a Mathematica pure \
function which accepts a value of f in Hz. It defaults to 0& but can be given \
a value via a substitution in defaultvalues. damping[real,dampingtype] is the \
corresponding real (i.e., elastic) multiplier. It defaults to 1&."
